Last modified: 2014-03-11 19:05:13 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 34965 - Clean up grammar in API autodocs
Clean up grammar in API autodocs
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
API (Other open bugs)
1.20.x
All All
: Low trivial (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2012-03-04 19:01 UTC by MZMcBride
Modified: 2014-03-11 19:05 UTC (History)
11 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description MZMcBride 2012-03-04 19:01:32 UTC
I'm not sure where the "Documentation" section of ApiSandbox comes from, but it currently has inconsistent (and, in some cases, wrong) grammar.

Examples:

list=exturlusage --> euquery --> "Protocol of the url. If empty and euquery set, the protocol is http. 
Leave both this and euquery empty to list all external links"

"URL" should be capitalized.

action=clicktracking --> "Track user clicks on JavaScript items."

Ends in a period?

action=coderevisionupdate --> "Submit comments, new status and tags to a revision"

No final period?

action=wikiloveimagelog --> "This API is for logging each time a user attempts to use a custom image via WikiLove."

"This API"? This isn't consistent language with the documentation for the rest of the parameters. And it ends in a period.

These are just a few examples. Consistent style should be applied throughout. If the text is going to end in periods, it should end in periods every time. If "URL" is going to be capitalized (when used in documentation text), it should be consistently capitalized. Etc.
Comment 1 MZMcBride 2012-03-04 19:06:15 UTC
action=emailuser --> "Email a user."

MediaWiki fairly consistently uses "e-mail" and there's a trailing period here. Just another example.
Comment 2 Krinkle 2012-03-05 08:24:03 UTC
Afaik these are all auto-generated from the API modules themselves.

for example: https://svn.wikimedia.org/viewvc/mediawiki/trunk/phase3/includes/api/ApiQueryExternalLinks.php?revision=107393&view=markup#l123
Comment 3 Sam Reed (reedy) 2012-03-05 16:10:14 UTC
(In reply to comment #2)
> Afaik these are all auto-generated from the API modules themselves.
> 
> for example:
> https://svn.wikimedia.org/viewvc/mediawiki/trunk/phase3/includes/api/ApiQueryExternalLinks.php?revision=107393&view=markup#l123

Indeed, same as is at https://www.mediawiki.org/w/api.php
Comment 4 Ori Livneh 2012-08-27 09:39:15 UTC
I fixed the extraneous period in Gerrit change #34965.

IMHO, this should be closed and individual tickets opened for each offender. Thoughts?
Comment 5 Ori Livneh 2012-08-27 09:39:56 UTC
(To be more specific: the extraneous period in the ClickTracking extension.)
Comment 6 Antoine "hashar" Musso (WMF) 2012-08-27 11:46:44 UTC
I guess we want to fully review our API documentation and fix all/most of the grammar issue.
Comment 7 MZMcBride 2012-08-27 22:58:31 UTC
(In reply to comment #4)
> IMHO, this should be closed and individual tickets opened for each offender.
> Thoughts?

Individual Bugzilla tickets for each typo? That's a bit insane.

(In reply to comment #6)
> I guess we want to fully review our API documentation and fix all/most of the
> grammar issue.

Yes. :-)
Comment 8 Gerrit Notification Bot 2013-06-21 21:34:33 UTC
Related URL: https://gerrit.wikimedia.org/r/69953 (Gerrit Change Ia1df9748b5de33f6ef5088103ccc6b886f9a17d5)
Comment 9 Umherirrender 2013-06-21 21:36:37 UTC
(In reply to comment #0)
> 
> list=exturlusage --> euquery --> "Protocol of the url. If empty and euquery
> set, the protocol is http. 
> Leave both this and euquery empty to list all external links"
> 
> "URL" should be capitalized.

see Gerrit change #69953

(In reply to comment #1)
> action=emailuser --> "Email a user."
> 
> MediaWiki fairly consistently uses "e-mail" and there's a trailing period
> here.
> Just another example.

See bug 45633
Comment 10 Umherirrender 2014-03-11 19:05:13 UTC
(In reply to MZMcBride from comment #0)

> list=exturlusage --> euquery --> "Protocol of the url. If empty
> and euquery set, the protocol is http. 
> Leave both this and euquery empty to list all external links"
> 
> "URL" should be capitalized.

Was changed by Gerrit change #69953

> action=clicktracking
> --> "Track user clicks on JavaScript items."
> 
> Ends in a period?

Extension is no longer active.

> action=coderevisionupdate --> "Submit comments, new status and tags to a
> revision"
>
> No final period?

Changed with Gerrit change #117925

> action=wikiloveimagelog --> "This API is for
> logging each time a user attempts to use a custom image via WikiLove."
> "This API"? This isn't consistent language with the documentation for the
> rest of the parameters. And it ends in a period.

Changed with Gerrit change #117914


(In reply to MZMcBride from comment #1)
> action=emailuser --> "Email a user."

Was changed with Gerrit change #51846



You should add seperate bugs for the typos, maybe grouped by extension, to allow the extension authors to track this individual.
Or create a (user) wiki page to track the necessary changes.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links